clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
NamespaceCommentCheck.cpp File Reference
`#include "NamespaceCommentCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchers.h"`
`#include "clang/Lex/Lexer.h"`
`#include "llvm/ADT/StringExtras.h"`
Include dependency graph for NamespaceCommentCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::readability

## Functions
static bool | clang::tidy::readability::locationsInSameFile (const SourceManager &Sources, SourceLocation Loc1, SourceLocation Loc2)
static std::string | clang::tidy::readability::getNamespaceComment (const NamespaceDecl *ND, bool InsertLineBreak)